SSS_SEED(8)

NAME
sss_seed - alimenta el cache SSSD con un usuario

SYNOPSIS

sss_seed [options] -D DOMAIN -n USER

DESCRIPCION

sss_seed alimenta el cache SSSD con una entrada de usuario y una contresañe temporal. Si una entrada de usuario está ya presente en el cache SSSD la entrada se actualiza con la contraseña temporal

OPCIONES

-D,--domain DOMAIN
    Suministra el nombre del dominio del que el usuario es miembro. El dominio también se usa para recuperar información del usuario. El dominio debe estar configurado en sssd.conf. La opción DOMAIN debe ser suministrada. La información recuperada del dominio anula la que se ha suministrado en las opciones.

-n,--username USER
    El nombre de usuario de la entrada a ser creado o modificado en el cache. Se debe suministrar la opción USER.

-u,--uid UID
    Fija la UID del usuario a UID.

-g,--gid GID
    Fija la GID del usuario a GID.

-c,--gecos COMENTARIO
    Cualquier cadena de texto describiendo al usuario. Frecuentemente se usa como el campo para el nombre completo del usuario.

-h,--home HOME_DIR
    Fija el directorio home del usuario a HOME_DIR.

-s,--shell SHELL
    Fija la shell de acceso del usuario a SHELL.

-i,--interactive
    Modo interactivo de introducir información del usuario. Esta opción sólo preguntará por la información no suministrada en las opciones o recuperada del dominio.

-p,--password-file PASS_FILE
    Especifica el fichero desde donde leer la contraseña del usuario (si no se especifica se pregunta por la contraseña)

-?,--help
    Muestra mensaje de ayuda y sale.

NOTAS

La longitud de la contraseña (o el tamaño especificado con la opción -p or --password-file) debe ser menos o igual a PASS_MAX bytes ( 64 bytes en sistemas sin valor PASS_MAX globalmente definido).

VEA TAMBIEN

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-files(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/